---
eleventyComputed:
  title: '{{ person.first_name }} {{ person.last_name }}'
  eleventyNavigation:
    key: '{{ person.first_name }} {{ person.last_name }}'
    parent: Les entrepreneur·es
  seo:
    description: '{{ person.first_name }} {{ person.last_name }}, {{ person.title }}'
permalink: "/entrepreneures/{{ [person.first_name, person.last_name] | join(' ') | slugify }}/index.html"
pagination:
  data: entrepreneures
  size: 1
  alias: person
  # via https://github.com/11ty/eleventy-navigation/issues/24#issuecomment-753378277
  addAllPagesToCollections: true
---

{%- set name = [person.first_name, person.last_name] | join(' ') | capitalize -%}
<article class="card directory-entry">
  <div class="card-body">
    <div class="d-flex flex-column flex-md-row">
      <div class="flex-grow-1 order-1 order-md-0">
        <h1 class="card-title mb-0 text-capitalize">
          {{ name }}
        </h1>
        {%- if person.title -%}
        <p>
          <strong>Activités/Métiers</strong> : {{ person.title }}
        </p>
        {%- endif -%}
        {% from "partials/_tags_list.njk" import tags_list %}
        {%- call tags_list(person.tag_names) -%}
        <p class="float-start mb-0">
          <strong>Étiquettes</strong> :
        </p>
        {%- endcall -%}
        <br class="clearfix">
        <div class="content mt-n3">{{ person.presentation | safe }}</div>
      </div>
      {%- set src = person.photo_link or person.logo_link -%}
      {%- if src -%}
      <div class="flex-shrink-0 w-md-25 order-0 order-md-1 mb-2 mb-md-0 ms-md-2">
        {% image src, name, { class: "img-fluid d-block mx-auto" } %}
      </div>
      {%- endif -%}
    </div>
  </div>
  <div class="card-body">
    <ul class="list-unstyled">
      {%- if person.website -%}
      <li>
        <i class="fas fa-home" aria-hidden="true"></i>
        <a href="{{ person.website }}" target="_blank" rel="noreferrer noopener">{{ person.website }}</a>
      </li>
      {%- endif -%}
      {#- if person.email -%}
      <li>
        <strong>Email</strong> : <a href="mailto:{{ person.email }}">{{ person.email }}</a>
      </li>
      {% endif #}
      {#- if person.phone -%}
      <li>
        <strong>Téléphone</strong> : <a href="tel:{{ person.phone }}">{{ person.phone }}</a>
      </li>
      {%- endif -#}
    </ul>
  </div>
  {%- set user_trainings = person | findTrainingsFor -%}
  {%- if user_trainings | length -%}
    <ul class="list-group list-group-flush">
      <li class="list-group-item"><h2 class="h4">Formations</h2></li>
    {% for training in user_trainings | sort(false, false, 'name') -%}
      <li class="list-group-item">
        <a class="list-group-item-action" href="/formations/catalogue/{{ training.ref }}-{{ training.name | slugify }}/">{{ training.name }}</a>
      </li>
    {% endfor %}
    </ul>
  {%- endif %}
</article>

